View Issue Details

IDProjectCategoryView StatusLast Update
0024192mantisbtbugtrackerpublic2018-05-23 04:50
ReporterdregadAssigned Todregad 
PriorityhighSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.14.0Fixed in Version2.14.0 
Summary0024192: Update ADOdb to 5.20.12
Description

The latest release of ADOdb fixes PHP 7.2 compatibility issues (see 0024174) and addresses a couple security issues (not affecting MantisBT directly though)

Additional Information

https://github.com/ADOdb/ADOdb/blob/v5.20.12/docs/changelog.md

TagsNo tags attached.

Relationships

related to 0024174 closeddregad E_DEPRECATED error on php7.2: each() function 
related to 0023908 closeddregad Vendor/adodb/adodb-php/server.php SQL injection 

Activities

dregad

dregad

2018-03-30 16:08

developer   ~0059371

PR https://github.com/mantisbt/mantisbt/pull/1323

dregad

dregad

2018-03-30 16:11

developer   ~0059373

@atrol I've targeted 2.13.0 because of the PHP 7.2 compatibility issue, but I let you decide if you want to merge it now to get the fix in quickly, or delay until 2.14.0 to get more test time with the new ADOdb (changes since 5.20.9 are fairly minor, but you never know)

atrol

atrol

2018-03-30 17:32

developer   ~0059375

@dregad I made some cursory tests (just MySQL) with different PHP versions (5.6, 7.1, 7.2) and did not encounter any problem until now.

But the ADOdb changes are not enough to get a full PHP 7.2 compatibility.
Not sure if you noticed that the Travis checks for PHP 7.2 still fail https://travis-ci.org/mantisbt/mantisbt/jobs/360416356

So on the one hand we don't have to rush to merge the PR, but on the other hand we should also be aware that Ubuntu 18.04 LTS will come with PHP 7.2 and will be released 26th April.

dregad

dregad

2018-03-30 19:24

developer   ~0059378

Not sure if you noticed that the Travis checks for PHP 7.2 still fail https://travis-ci.org/mantisbt/mantisbt/jobs/360416356

I did. Remaining errors are not related to ADOdb, but I didn't have time to look into the root cause.

Error Description: count(): Parameter must be an array or an object that implements Countable

atrol

atrol

2018-03-31 16:58

developer   ~0059385

Found this in .travis.yml

before_install:
  # If PHP >= 7.0, force use of PHPunit 5.7
  - if php -r "exit( (int)! version_compare( '$TRAVIS_PHP_VERSION', '7.0', '>=' ) );"; then mkdir -p ~/bin && wget -O ~/bin/phpunit https://phar.phpunit.de/phpunit-5.7.phar && chmod +x ~/bin/phpunit; fi

Seems we should use PHPunit 6 as PHP 7.2 is not supported in PHPunit 5, see https://phpunit.de

atrol

atrol

2018-05-23 04:50

developer   ~0059919

I did. Remaining errors are not related to ADOdb, but I didn't have time to look into the root cause.

Resolved after changes to fix 0024462

Related Changesets

MantisBT: master fd9b9b3c

2018-03-30 15:53:26

dregad


Committer: vboctor Details Diff
Update ADODb library to 5.20.12

Composer update:
- Updating adodb/adodb-php (v5.20.9 => v5.20.12)

Fixes 0024192, 0024174
Affected Issues
0024174, 0024192
mod - composer.lock Diff File

Issue History

Date Modified Username Field Change
2018-03-30 15:51 dregad New Issue
2018-03-30 15:51 dregad Status new => assigned
2018-03-30 15:51 dregad Assigned To => dregad
2018-03-30 15:52 dregad Relationship added related to 0024174
2018-03-30 16:08 dregad Note Added: 0059371
2018-03-30 16:11 dregad Note Added: 0059373
2018-03-30 16:12 dregad Relationship added related to 0023908
2018-03-30 17:32 atrol Note Added: 0059375
2018-03-30 19:24 dregad Note Added: 0059378
2018-03-31 16:58 atrol Note Added: 0059385
2018-03-31 20:06 vboctor Target Version 2.13.0 => 2.14.0
2018-03-31 20:07 vboctor Changeset attached => MantisBT master fd9b9b3c
2018-03-31 20:07 dregad Status assigned => resolved
2018-03-31 20:07 dregad Resolution open => fixed
2018-03-31 20:07 dregad Fixed in Version => 2.14.0
2018-04-29 19:21 vboctor Status resolved => closed
2018-05-23 04:50 atrol Note Added: 0059919